LibreOffice: XCachedDynamicResultSetStubFactory Interface Reference

LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XCachedDynamicResultSetStubFactory Interface Referencepublished

creates a CachedDynamicResultSetStub and connects a non-remote optimized DynamicResultSet to a remote optimized CachedDynamicResultSet. More...

`import"XCachedDynamicResultSetStubFactory.idl";`

Inheritance diagram for XCachedDynamicResultSetStubFactory:

## Public Member Functions
com::sun::star::ucb::XDynamicResultSet | createCachedDynamicResultSetStub ([in] com::sun::star::ucb::XDynamicResultSet Source)
| creates a remote optimizes XDynamicResultSet. More...
void | connectToCache ([in] com::sun::star::ucb::XDynamicResultSet Source, [in] com::sun::star::ucb::XDynamicResultSet TargetCache, [in] sequence< com::sun::star::ucb::NumberedSortingInfo > SortingInfo, [in] com::sun::star::ucb::XAnyCompareFactory CompareFactory) raises ( com::sun::star::ucb::ListenerAlreadySetException , com::sun::star::ucb::AlreadyInitializedException )
| If you have instantiated a CachedDynamicResultSet on client side already, use this to connect your given Source on server side to the TargetCache. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

creates a CachedDynamicResultSetStub and connects a non-remote optimized DynamicResultSet to a remote optimized CachedDynamicResultSet.

Pay attention to instantiate this helper on server side where your source DynamicResultSet was instantiated.

Method XCachedDynamicResultSetStubFactory::createCachedDynamicResultSetStub() can be used to create a stub on server side.

If you have instantiated a CachedDynamicResultSet on client side already, use method connectToCache() to connect your given DynamicResultSet with this Cache.

The needed cache on server side you can create using XCachedDynamicResultSetFactory.

## Member Function Documentation

## ◆ connectToCache()

void connectToCache | ( | [in] com::sun::star::ucb::XDynamicResultSet | Source,
|  | [in] com::sun::star::ucb::XDynamicResultSet | TargetCache,
|  | [in] sequence< com::sun::star::ucb::NumberedSortingInfo > | SortingInfo,
|  | [in] com::sun::star::ucb::XAnyCompareFactory | CompareFactory
| ) |  |
raises | ( | com::sun::star::ucb::ListenerAlreadySetException ,
|  | com::sun::star::ucb::AlreadyInitializedException
| ) |  |

If you have instantiated a CachedDynamicResultSet on client side already, use this to connect your given Source on server side to the TargetCache.

Parameters

  Source | is an instance of service DynamicResultSet.
  TargetCache | is an instance of service CachedDynamicResultSet.
  SortingInfo | can be an empty sequence. Otherwise, Source will be sorted according to the given sorting data.
  CompareFactory | will be ignored unless SortingInfo is not empty. Then the supplied factory will be used to instantiate objects used to compare the properties that are involved in sorting.

Exceptions

  ListenerAlreadySetException | if `Source` is already in use.
  AlreadyInitializedException | if `TargetCache` already has been initialized.

## ◆ createCachedDynamicResultSetStub()

com::sun::star::ucb::XDynamicResultSet createCachedDynamicResultSetStub | ( | [in] com::sun::star::ucb::XDynamicResultSet | Source | ) |

creates a remote optimizes XDynamicResultSet.

Parameters

  Source | must be an instance of service DynamicResultSet.

Returns
  an instance of service CachedDynamicResultSetStub.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XCachedDynamicResultSetStubFactory.idl